Package classycle.util

# Class WildCardPattern

java.lang.Object
classycle.util.WildCardPattern

All Implemented Interfaces:
  `StringPattern`

public class WildCardPattern extends Object implements StringPattern
Wildcard string pattern matching class. Only '*' is interpreted as wild card meaning the occurance of any number of arbitray characters.

This is a thread-safe immutable class.

Example: The code snippet

       StringPattern pattern = new WildCardPattern("Hello*");
       System.out.println(pattern.matches("Hello world!"));
       System.out.println(pattern.matches("Hi Jim!"));

will produce the output

     true
     false

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`WildCardPattern(String pattern)`
Creates an instance based on the specified pattern.

## Method Summary

Modifier and Type
Method
Description
`static StringPattern`
`createFromsPatterns(String patterns, String delimiters)`
Returns a `StringPattern` object based on a sequences of wild-card patterns separated by the specified delimiter characters.
`boolean`
`matches(String string)`
Returns `true` if the specified string matches the pattern.
`String`
`toString()`
Returns the pattern as delivered to the constructor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WildCardPattern

public WildCardPattern(String pattern)
Creates an instance based on the specified pattern.

Parameters:
  `pattern` - Pattern which may contain '*' wildcard characters. Must be not `null`.

## Method Details

### createFromsPatterns

public static StringPattern createFromsPatterns(String patterns, String delimiters)
Returns a `StringPattern` object based on a sequences of wild-card patterns separated by the specified delimiter characters. The return object matches a string if at least one of the wild-card pattern matches.

Parameters:
  `patterns` - Wild-card patterns separated by delimiters defined in `delimiters`. The actual pattern will be trimmed. That is, leading and trailing white-space characters are removed.
  `delimiters` - Recognized delimiters.

### toString

public String toString()
Returns the pattern as delivered to the constructor.

Overrides:
  `toString` in class `Object`

### matches

public boolean matches(String string)
Description copied from interface: `StringPattern`
Returns `true` if the specified string matches the pattern.

Specified by:
  `matches` in interface `StringPattern`
Parameters:
  `string` - String to be matched. Can be `null`.
Returns:
  `false` if `string == null`.